# dns module
# --gry

import urllib
import socket

@plugin
class dns(object):
    def __init__(self, server):
        self.server = server
        self.commands = ["dns"]
        self.server.handle("command", self.handle_command, self.commands)
    
    def handle_command(self, channel, user, cmd, args):
        if cmd == "dns":
            if len(args) < 1:
                self.server.doMessage(channel, user+": Return a fully qualified domain name for a list of space-separated IPs or hostnames.")
                return
            try:
                for each in args:
                    self.server.doMessage(channel, user+": "+ each+" = "+socket.getfqdn(each))
            except Exception, e:
                self.server.doMessage(channel, user+": "+str(e))

